/*
 * open interface 
 * 		University Computing Center, SRCE
 * Date:	Fri Jun 14 1996
 * Copyright (c) 1996,  Damir Delija
 * 
 * function snmdb_save_element 
 * int snmdb_save_element (snmdb_buffer *, FILE *); 
 * 
 */

#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <tcl.h>
#include <netmgt/netmgt_db.h>


#include <handle_t.h>
 
extern void_pt bufferHandleTable;
 
 

int tclsnmdb_save_element(
	void *clientData,
	Tcl_Interp *interp,
	int argc, 
	char **argv)
{
snmdb_buffer *buffer;
char *fileId=NULL;
void_pt *hdl=NULL;
FILE *fp=NULL;
int res=0;
int ff=0;

	
        hdl = Tcl_HandleXlate( interp, bufferHandleTable, argv[1] );
        if (hdl==NULL || *hdl==NULL) return TCL_ERROR;
        buffer=(snmdb_buffer*) *hdl;

	if ( argc==2 ) {
		ff=0;
		fileId=argv[2];
		if (Tcl_GetOpenFile(
			interp,fileId,1, 1,(ClientData*)&fp) != TCL_OK) {
			fp=(fopen (argv[2], "w"));
			ff=1;
		}
		
	} else { 
		fp=stdout; 
	}
		res=snmdb_save_element(buffer,fp);

	if ( argc==2 ) {
		if ( fp!=NULL && !ff) fclose(fp);
	}

	if ( res ) return TCL_OK;
        else return TCL_ERROR;
}
