/********************************************************
test aplication for sunnet manger glyph moving
idea: from sun netmanager 2.0 programmers guide, 8.x
there is name of the object in the base as the argument and the x and y coords
if object exist move it to the new postitions

Damir Delija
********************************************************/

#include <stdio.h>
#include <stdlib.h>

#include "/usr/snm/include/netmgt/netmgt.h"
#include "/usr/snm/include/netmgt/netmgt_db.h"

#define EL_BUFF (&buff)

snmdb_handle *all=NULL;

void dumpList(l)
char **l;
{
printf ("[\n");
	for(; l && *l; l++) printf ("\t%s\n",*l);
printf ("]\n");
}

int inList(el,lst)
char *el;
char **lst;
{
int r=0;

	if (el && *el && lst ){
		for(; lst && *lst; lst++){
/*
			printf (">%s<\n",*lst);
*/
			if(!strcmp(el,*lst)) return(1);
		}
	}
	return(r);
	
}

#define IsConnected(el1,el2,names1,names2)\
 (!strcmp(el1,el2) || inList(el2,names1) || inList(el1,names2))

/****************************************************************
call 
ime_el view
view="*" all views vith coordinates
****************************************************************/

int InBase(el1,el2,names1,names2,pbel1,pbel2)
char *el1; /* start el name */
char *el2; /* dest  el name */
char **names1;
char **names2;
snmdb_buffer *pbel1;
snmdb_buffer *pbel2;
{
int rez=0;
char **names=NULL;
snmdb_buffer bel1;
snmdb_buffer bel2;
snmdb_buffer bels;
snmdb_buffer *pbels;
char **namess;
char **s;
char *str;
int fl1,fl2;

	fl1=fl2=1;	
	namess=NULL;
	pbels=&bels;

#ifdef _DEBUG_
	printf ("st= %s tg= %s\n",el1,el2);
#endif
	if (pbel1==NULL){
		pbel1=&bel1;
		snmdb_read( el1 ,pbel1 );
	}
	if (pbel2==NULL){
		pbel2=&bel2;
		snmdb_read( el2 ,pbel2 );
	}
	if (names1==NULL) names1=snmdb_enumerate_connections(pbel1);
	else fl1=0;

	dumpList(names1);

	if (names2==NULL) names2=snmdb_enumerate_connections(pbel2);
	else fl2=0;

	dumpList(names2);

	if ( IsConnected(el1,el2,names1,names2) ){
		printf ("%s\n",el1);
	 	rez=1;
#ifdef _DEBUG_
	printf ("CONN=\n");
#endif
	}
	else{
#ifdef _DEBUG_
	printf ("LIST=\n");
#endif
		for(s=names1; s && !rez ; s++){

#ifdef _DEBUG_
	printf ("s= %s\n",s);
#endif
			
			snmdb_read( s ,pbels );
			namess=snmdb_enumerate_connections(pbels);
			rez=InBase(s,el2,namess,names2,pbels,pbel2);
			if ( rez ) {
				rez=1;
			}
			snmdb_free_list(namess);
		}
	}

	if (fl1) snmdb_free_list(names1);
	if (fl2) snmdb_free_list(names2);

#ifdef _DEBUG_
	printf ("rez= %d\n",rez);
#endif
	return( rez );
}

/****************************************************************
call 
ime_el view
****************************************************************/


main(argc, argv)
int argc;
char *argv[];
{
int rez=0;
char *st;
char *dt;

#ifdef _DEBUG_
	printf ( "%s %s \n", "SNMHOME", getenv("SNMHOME") );
	printf ( "%s %s \n", "SNM_NAME", getenv("SNM_NAME") );
	printf ( "%s %s \n", "SNMDBDIR", getenv("SNMDBDIR") );
	printf ( "%s %s \n", "LD_LIBRARY_PATH", getenv("LD_LIBRARY_PATH") );
#endif

	SNMDB_OPEN();

	if (argc > 1 ) {
		st=argv[1];
		dt=argv[2];

#ifdef _DEBUG_
	printf ("st= %s tg= %s\n",st,dt);
#endif

		rez=InBase(st,dt,NULL,NULL,NULL,NULL);
	}
	exit(!rez);

}

/*
################################################################
*/


