/* Copyright 1994 Sun Microsystems, Inc. All Rights Reserved. */
/* Copyright 1993 Sun Microsystems, Inc. All Rights Reserved. */

/**************************************************************************
 *  File:	include/netmgt_hdrs.h
 *
 *  Author:	Lynn Monsanto, Sun Microsystems Inc.
 *
 *  Copyright (c) 1989 Sun Microsystems, Inc.  All Rights Reserved.
 *  Sun considers its source code as an unpublished, proprietary trade 
 *  secret, and it is available only under strict license provisions.  
 *  This copyright notice is placed here only to protect Sun in the event
 *  the source is deemed a published work.  Dissassembly, decompilation, 
 *  or other means of reducing the object code to human readable form is 
 *  prohibited by the license agreement under which this code is provided
 *  to the user or company in possession of this copy.
 * 
 *  RESTRICTED RIGHTS LEGEND: Use, duplication, or disclosure by the 
 *  Government is subject to restrictions as set forth in subparagraph 
 *  (c)(1)(ii) of the Rights in Technical Data and Computer Software 
 *  clause at DFARS 52.227-7013 and in similar clauses in the FAR and 
 *  NASA FAR Supplement.
 *
 *  SCCSID:	@(#)netmgt_hdrs.h  2.20  94/11/30
 *
 *  Comments:	SunNet Manager common include files
 *
 **************************************************************************
 */

#ifndef	_netmgt_hdrs_h
#define _netmgt_hdrs_h

#include <stdio.h>
#include <assert.h>
#include <ctype.h>
#include <errno.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <sys/resource.h>
#include <sys/stat.h>
#include <rpc/rpc.h>
#include <nfs/nfs.h>
#include <sys/socket.h>
#include <sys/file.h>
#include <sys/signal.h>
#include <net/if.h>
#include <netdb.h>
#include <sys/ioctl.h>

#ifdef SVR4
#include <signal.h>
#include <string.h>
#else
/* ERROR in sun code becasuse of the SOl2.4 d.d 15.08.96
 #include <strings.h>
*/
#include <string.h>
#endif 

#include <memory.h>
#include <syslog.h>

/* Header files that only exist in C++ */

#ifndef SVR4
#if defined (__cplusplus)
#include <bstring.h>
#endif
#endif 

#endif /* !_netmgt_hdrs_h */
