/*
 * open interface 
 * 		University Computing Center, SRCE
 * Date:	Fri Jun 14 1996
 * Copyright (c) 1996,  Damir Delija
 * 
 * function snmdb_enumerate_elements 
 * snmdb_handle *snmdb_enumerate_elements	(char *, char *); 
 * 
 */

#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <tcl.h>
#include <netmgt/netmgt_db.h>

#include <handle_t.h>

extern void_pt enumHandleTable;

int tclsnmdb_enumerate_elements(
	void *clientData,
	Tcl_Interp *interp,
	int argc, 
	char **argv)
{

char *name=NULL;
char *type=NULL;

snmdb_handle *shdl=NULL;
void_pt *hdl=NULL;


	/* get args */

	if ( argc> 1 ) { name=argv[1];}
	if ( argc> 2 ) { type=argv[2];}

	/* alocate new buffer */

	if((shdl=snmdb_enumerate_elements(name,type)) ) { 

	/* Get the handle, and the buffer pointer. */
		hdl =(void_pt)Tcl_HandleAllocName(
			enumHandleTable,interp->result,NULL);
		if ( hdl==NULL) return TCL_ERROR;
		*hdl=(void_pt)shdl;
	}

	return TCL_OK;

}
