/*
 * open interface 
 * 		University Computing Center, SRCE
 * Date:	Fri Jun 14 1996
 * Copyright (c) 1996,  Damir Delija
 * 
 * function snmdb_get_property 
 * snmdb_data snmdb_get_property (snmdb_buffer *, char *, snmdb_type *); 
 * 
 */

#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <tcl.h>
#include <netmgt/netmgt_db.h>

#include <handle_t.h>
extern void_pt bufferHandleTable;
	
int db_type2string( snmdb_type typ, snmdb_data *rez, char *result );


int tclsnmdb_get_property(
	void *clientData,
	Tcl_Interp *interp,
	int argc, 
	char **argv)
{
char *name=NULL;
char *prop=NULL;


snmdb_data data; 
snmdb_type type=undefined; 
snmdb_buffer *buffer;
void_pt *hdl=NULL;
int rez=TCL_OK;
 
 
	name=argv[1];
	prop=argv[2];
 
        hdl = Tcl_HandleXlate( interp, bufferHandleTable,name);
        if (hdl==NULL || *hdl==NULL) return TCL_ERROR;
        buffer=(snmdb_buffer*) *hdl;

        data=snmdb_get_property(buffer,prop,&type);

	if (db_type2string(type,&data,interp->result)) return TCL_OK;

	return TCL_ERROR;
}
