/*
 * open interface 
 * 		University Computing Center, SRCE
 * Date:	Fri Jun 14 1996
 * Copyright (c) 1996,  Damir Delija
 * 
 * function snmdb_read 
 * int snmdb_read (char *, snmdb_name *); 
 * 
 */

#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <tcl.h>
#include <netmgt/netmgt_db.h>

#include <handle_t.h>

extern void_pt bufferHandleTable;
extern snmdb_buffer *getNewBuffer(void);
extern void FreeBuffer( snmdb_buffer *);

int tclsnmdb_read(
	void *clientData,
	Tcl_Interp *interp,
	int argc, 
	char **argv)
{

snmdb_buffer *newBf=NULL;
char *name=NULL;
void_pt *hdl=NULL;
int status=0;

	name=argv[1];
	/* alocate new buffer */

	newBf=getNewBuffer();
	if ( newBf == NULL ) return TCL_ERROR;

	if ( (status=snmdb_read(name,newBf)) ) {
		/* Get the handle, and the name pointer. */
		hdl =(void_pt)Tcl_HandleAllocName(
			bufferHandleTable,
			interp->result,
			name);
		/* can not get handle release structure and error */
		if ( hdl==NULL) {
			FreeBuffer( newBf );
			return TCL_ERROR;
		}

		*hdl=(void_pt)newBf;
		return TCL_OK;
	} else {
		FreeBuffer( newBf );
		return TCL_ERROR;
	}
}







