/*
 * open interface 
 * 		University Computing Center, SRCE
 * Date:	Fri Jun 14 1996
 * Copyright (c) 1996,  Damir Delija
 * 
 * function snmdb_set_property 
 * int snmdb_set_property (snmdb_buffer *, char *, ...); 
 * 
 */

#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <tcl.h>
#include <netmgt/netmgt_db.h>

 
#include <handle_t.h>
extern void_pt bufferHandleTable;
 
int string2db_type( snmdb_type typ, snmdb_data *rez, char *val );
 


int tclsnmdb_set_property(
	void *clientData,
	Tcl_Interp *interp,
	int argc, 
	char **argv)
{
char *name=NULL;
char *prop=NULL;
 
snmdb_data val;
snmdb_type type=undefined;
snmdb_buffer *buffer;
void_pt *hdl=NULL;
int rez=TCL_OK;
 
 
        name=argv[1];
        prop=argv[2];
/*
        val=argv[3];
*/
 
        hdl = Tcl_HandleXlate( interp, bufferHandleTable,name);
        if (hdl==NULL || *hdl==NULL) return TCL_ERROR;
        buffer=(snmdb_buffer*) *hdl;
 
        if (snmdb_set_property(buffer,prop,val)) return TCL_OK;
        return TCL_ERROR;
}
